Add Calls

Appends additional phone numbers to an existing campaign.

If the campaign is already running, the new phone numbers will be added to the end of the queue

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Phone numbers to be added to an existing campaign, can be submitted as either a .CSV or .TXT file or a JSON array.

Example (JSON):

{
    "phone_numbers": "[\"tel:+12223334444; ani=7778889999, tel:+14443332222; ani=9998887777\"]",
    "campaign_id": 77
}

Note: Phone number entries can also include a message_reference value. Once submitted in an API request, this value will be posted to the URLs referemced in the start_url and result_url parameters. Adding message_reference values can help with identifying calls and API requests within your internal systems.

Example (message_reference):

{
    "phone_numbers": "[\"tel:+12223334444; ani=7778889999, tel:+14443332222; ani=9998887777, march campaign\"]",
    "campaign_id": 77
}

string
required
integer
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain